
Robotics Systems Types - Bug #1485
Compilation / linking fails on MacOS
05/04/2013 12:51 PM - S. Wrede

Status: Resolved Start date: 05/04/2013
Priority: Normal Due date:
Assignee: S. Wrede % Done: 90%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.9
Description

2 warnings generated.
c++ -o Example2  Example2.o   -L"/Applications/Webots/lib" -lController  `pkg-config --libs cca-oncilla0.4 liboncilla-0`
-lCppController -mmacosx-version-min=10.6 -arch i386 -arch x86_64
clang: error: no such file or directory: '/usr/local/Cellar/rst-converters/HEAD/lib/librstconverters.dylib.0.9'

Due to a broken pkg.config file (library name is wrong):

Name: rst-converters
Description: Converters for RSB based on RST types.
Version: 0.9.0
Requires: rsb0.9, rst0.9 , rci0.4
Libs: -Wl,--rpath -Wl,${libdir} ${libdir}/librstconverters.dylib.0.9
Cflags: -I${includedir}

Also, we don't want an rpath on MacOS.

Associated revisions
Revision 6bef515a - 05/04/2013 01:04 PM - S. Wrede

renamed eclipse project to rst-conversts, correct pkg-config file on MacOS, refs #1485

Revision 21296707 - 05/04/2013 01:04 PM - S. Wrede

renamed eclipse project to rst-conversts, correct pkg-config file on MacOS, refs #1485

Revision d7d90de9 - 05/06/2013 10:40 AM - J. Wienke

Some intermediate cleanup of the original commit.

    -  Fix coding style conventions
    -  Use correct variable names
    -  Only do things if we can build a pc file at all

refs #1485

Revision 98e671af - 05/06/2013 10:40 AM - J. Wienke
Some intermediate cleanup of the original commit.

    -  Fix coding style conventions
    -  Use correct variable names
    -  Only do things if we can build a pc file at all

refs #1485

Revision ad78c381 - 05/06/2013 12:43 PM - J. Wienke

Fix lib name generation for linux.

refs #1485

Revision 10f54e55 - 05/06/2013 12:43 PM - J. Wienke

Fix lib name generation for linux.

refs #1485

Revision ed0adb28 - 07/26/2016 01:16 PM - S. Wrede

renamed eclipse project to rst-conversts, correct pkg-config file on MacOS, refs #1485

Revision 9c90723d - 07/26/2016 01:16 PM - J. Wienke

Some intermediate cleanup of the original commit.

    -  Fix coding style conventions
    -  Use correct variable names
    -  Only do things if we can build a pc file at all

refs #1485

Revision 2c96c8d7 - 07/26/2016 01:16 PM - J. Wienke

Fix lib name generation for linux.

refs #1485

History
#1 - 05/04/2013 01:05 PM - S. Wrede
- Status changed from New to Feedback
- Assignee changed from S. Wrede to J. Wienke
- % Done changed from 0 to 90
Fixed this on MacOS.

Needs testing / feedback on Linux.

#2 - 05/06/2013 12:45 PM - J. Wienke
- Assignee changed from J. Wienke to S. Wrede

Ich denke ich hab jetzt alles wieder hergestellt.

#3 - 05/06/2013 01:56 PM - S. Wrede

Du meinst das Verhalten und Linux?

#4 - 05/06/2013 02:04 PM - J. Wienke

Ja, einen wirklichen Testcase fur pc-Benutzung unter Linux habe ich nicht, aber die Datei sieht wieder passend aus.

#5 - 06/05/2013 09:28 PM - J. Moringen

Has this been fixed by the recent pkg-config changes?

#6 - 06/21/2013 09:03 AM - J. Wienke
- Status changed from Feedback to Resolved

Please reopen if necessary.
